Subject: bug#50269: 27.2; Request: use GTK continuous scroll events for smooth touchpad scrolling

From: Alexander Huntley <[email-masked]>
Date: Mon, 30 Aug 2021 14:35:19 +0100

When using a laptop touchpad, native GTK applications use continuous
scroll events to give much smoother scrolling, whereas Emacs simply
emulates the discrete scrolling events of a mouse scroll wheel. This
makes touchpad scrolling under Emacs feel much less natural than many
other Linux applications.

Would it be possible to expose these events to elisp and hence get nice
pixel-perfect scrolling in Emacs?

Thanks!
Alex Huntley

In GNU Emacs 27.2 (build 1, x86_64-redhat-linux-gnu, GTK+ Version 
3.24.30, cairo version 1.17.4)
  of 2021-08-07 built on buildvm-x86-29.iad2.fedoraproject.org
Windowing system distributor 'The X.Org Foundation', version 11.0.12101002
System Description: Fedora 34 (Workstation Edition)